package cn.wustlinghang.wusthelper.internal.undergrad.api.json.handler;

import cn.wustlinghang.mywust.exception.ApiException;
import cn.wustlinghang.wusthelper.rpc.exception.RpcException;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;

@Provider
public class RpcExceptionHandler extends ExceptionHandlerBase implements ExceptionMapper<RpcException> {
    @Override
    public Response toResponse(RpcException e) {
        return super.toResponse(
                e.getCode(),
                e.toString(),
                "ApiExceptionHandler");
    }
}
